Loading...
Searching...
No Matches
Opm::UDQActive::InputRecord Class Reference

Internalised representation of a UDA from the input file. More...

`#include <UDQActive.hpp>`

## Public Member Functions

| InputRecord ()
| Default constructor.
| InputRecord (const std::size_t input_index_arg, const std::string &udq_arg, const std::string &wgname_arg, const UDAControl control_arg)
| Constructor.
bool | operator== (const InputRecord &other) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Public Attributes

std::size_t | input_index
| Zero-based index in order of appearance of the UDQ use for this UDA.
std::string | udq
| Name of the UDQ used in this UDA.
std::string | wgname
| Well or group affected by this UDA.
UDAControl | control
| Constraint keyword and item/limit for which this UDA supplies the numeric value.

## Detailed Description

Internalised representation of a UDA from the input file.

## Constructor & Destructor Documentation

## InputRecord() [1/2]

Opm::UDQActive::InputRecord::InputRecord | ( |  | ) |

Default constructor.

Creates an invalid input record that is mostly useful as a target for a deserialisation operation.

## InputRecord() [2/2]

Opm::UDQActive::InputRecord::InputRecord | ( | const std::size_t | input_index_arg,
|  | const std::string & | udq_arg,
|  | const std::string & | wgname_arg,
|  | const UDAControl | control_arg )

Constructor.

Parameters

  [in] | input_index_arg | Zero-based index in order of appearance of the UDQ used for this UDA. Needed for restart file output purposes.
  [in] | udq_arg | Name of UDQ used for this UDA.
  [in] | wgname_arg | Name of well/group affected by this UDA.
  [in] | control_arg | Keyword and item/limit for which this UDA supplies the numeric value.

## Member Function Documentation

## operator==()

bool Opm::UDQActive::InputRecord::operator== | ( | const InputRecord & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::UDQActive::InputRecord::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## input_index

std::size_t Opm::UDQActive::InputRecord::input_index

Zero-based index in order of appearance of the UDQ use for this UDA.

Needed for restart file output purposes.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQActive.hpp
- opm/input/eclipse/Schedule/UDQ/UDQActive.cpp